[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFileSectionList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Section objects list

## Declaration

Source position: inifiles.pp line 127

`type TIniFileSectionList = class(TList)`
`public`
`destructor Destroy; override;` |  | Free the object from memory
`procedure Clear; override;` |  | Clear the list
`property Items []: TIniFileSection; default; [r]` |  | Indexed access to all the section objects in the list
`end;`

## Inheritance

`TIniFileSectionList` |  | Section objects list
`TList,IFPObserved`
`TObject`

## Description

TIniFileSectionList maintains a list of TIniFileSection instances, one for each section in an .ini file. TIniFileSectionList is used internally by the TIniFile class to represent the sections in the file.

## See also

TIniFileSection |  | Ini file section object
TIniFile |  | Ini file implementation